## ioping 0.5

=== Makefile ===
CFLAGS+=-std=c99 -g -Wall -Wextra -pedantic -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64
LDFLAGS=-lm
PREFIX=/usr/local
BINDIR=$(PREFIX)/bin
MAN1DIR=$(PREFIX)/share/man/man1

SRCS=ioping.c
OBJS=$(SRCS:.c=.o)
BINS=ioping
MANS=ioping.1
SPEC=ioping.spec

PACKAGE=ioping
VERSION=$(shell awk '/^Version:/{print $$2}' $(SPEC))
DISTDIR=$(PACKAGE)-$(VERSION)
DISTFILES=$(SRCS) $(MANS) $(SPEC) Makefile

all: $(BINS)

clean:
	$(RM) -f $(OBJS) $(BINS)

install: $(BINS) $(MANS)
	mkdir -p $(DESTDIR)$(BINDIR)
	install -m 0755 $(BINS) $(DESTDIR)$(BINDIR)
	mkdir -p $(DESTDIR)$(MAN1DIR)
	install -m 644 $(MANS) $(DESTDIR)$(MAN1DIR)

%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $^

ioping: $(OBJS)
	$(CC) -o $@ $^ $(CFLAGS) $(LDFLAGS)

dist: $(DISTDIR).tar.gz

$(DISTDIR).tar.gz: $(DISTFILES)
	tar -cz --transform='s,^,$(DISTDIR)/,S' $(DISTFILES) -f $(DISTDIR).tar.gz

.PHONY: all clean install dist

=== debian/changelog ===
ioping (0.5-1) unstable; urgency=low

  * Initial release (Closes: #634008)

 -- Apollon Oikonomopoulos <apoikos@gmail.com>  Sat, 16 Jul 2011 08:31:07 +0300

## ioping 0.6

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 SPEC=ioping.spec
 
 PACKAGE=ioping
-VERSION=$(shell awk '/^Version:/{print $$2}' $(SPEC))
+VERSION=$(shell test -d .git && git describe --tags --dirty=+ || awk '/^Version:/{print $$2}' $(SPEC))
 DISTDIR=$(PACKAGE)-$(VERSION)
 DISTFILES=$(SRCS) $(MANS) $(SPEC) Makefile
 
@@ -27,7 +27,7 @@
 	install -m 644 $(MANS) $(DESTDIR)$(MAN1DIR)
 
 %.o: %.c
-	$(CC) $(CFLAGS) -c -o $@ $^
+	$(CC) $(CFLAGS) -DVERSION=\"${VERSION}\" -c -o $@ $^
 
 ioping: $(OBJS)
 	$(CC) -o $@ $^ $(CFLAGS) $(LDFLAGS)

=== debian/changelog ===
ioping (0.6-1) unstable; urgency=low

  * New upstream release 

 -- Apollon Oikonomopoulos <apoikos@gmail.com>  Tue, 27 Dec 2011 13:31:24 +0200

=== debian/control ===
Source: ioping
Section: admin
Priority: extra
Maintainer: Apollon Oikonomopoulos <apoikos@gmail.com>
Build-Depends: debhelper (>= 8)
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/ioping

Package: ioping
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Simple disk I/O latency measuring tool
 ioping monitors disk I/O latency in real time. The main idea behind ioping is
 to have a utility similar to ping, which will show disk I/O latency in the
 same way ping shows network latency.

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://code.google.com/p/ioping/downloads/list .*/files/ioping-(.*)\.tar\.gz

## ioping 0.7

=== Makefile ===
CFLAGS+=-std=gnu99 -g -Wall -Wextra -pedantic -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64
LIBS=-lm
PREFIX=/usr/local
BINDIR=$(PREFIX)/bin
MAN1DIR=$(PREFIX)/share/man/man1

SRCS=ioping.c
OBJS=$(SRCS:.c=.o)
BINS=ioping
MANS=ioping.1
MANS_F=$(MANS:.1=.txt) $(MANS:.1=.pdf)
DOCS=README changelog
SPEC=ioping.spec

PACKAGE=ioping
VERSION=$(shell cat version)
DISTDIR=$(PACKAGE)-$(VERSION)
DISTFILES=$(SRCS) $(MANS) $(DOCS) $(SPEC) Makefile
PACKFILES=$(BINS) $(MANS) $(MANS_F) $(DOCS)

STRIP=strip
TARGET=$(shell ${CC} -dumpmachine | cut -d- -f 2)

ifdef MINGW
CC=i686-w64-mingw32-gcc
STRIP=i686-w64-mingw32-strip
TARGET=win32
BINS:=$(BINS:=.exe)
endif

all: version $(BINS)

version: $(DISTFILES)
	test ! -d .git || git describe --tags --dirty=+ | sed 's/^v//;s/-/./g' > $@

clean:
	$(RM) -f $(OBJS) $(BINS) $(MANS_F)

install: $(BINS) $(MANS)
	mkdir -p $(DESTDIR)$(BINDIR)
	install -s -m 0755 $(BINS) $(DESTDIR)$(BINDIR)
	mkdir -p $(DESTDIR)$(MAN1DIR)
	install -m 644 $(MANS) $(DESTDIR)$(MAN1DIR)

%.o: %.c version
	$(CC) $(CFLAGS) -DVERSION=\"${VERSION}\" -c -o $@ $<

%.ps: %.1
	man -t ./$< > $@

%.pdf: %.ps
	ps2pdf $< $@

%.txt: %.1
	MANWIDTH=80 man ./$< | col -b > $@

$(BINS): $(OBJS)
	$(CC) -o $@ $^ $(CFLAGS) $(LDFLAGS) $(LIBS)

dist: version $(DISTFILES)
	tar -cz --transform='s,^,$(DISTDIR)/,S' $^ -f $(DISTDIR).tar.gz

binary-tgz: $(PACKFILES)
	${STRIP} ${BINS}
	tar czf ${PACKAGE}-${VERSION}-${TARGET}.tgz $^

binary-zip: $(PACKFILES)
	${STRIP} ${BINS}
	zip ${PACKAGE}-${VERSION}-${TARGET}.zip $^

.PHONY: all clean install dist

=== debian/changelog ===
ioping (0.7-1) unstable; urgency=low

  * New upstream release 
  * Convert debian/copyright to machine readable format 1.0
  * Bump standards version to 3.9.4
    - no changes needed
  * Bump dh compat to 9
  * Introduce 3 additional patches:
    - use_dpkg_buildflags.patch: use hardening build flags
    - do_not_generate_version.patch:
      skip generating a version file from the current git revision, as this
      conflicts with gbp.
    - fix_manpage_hyphen.patch: fix a manpage dash-vs-hyphen glitch

 -- Apollon Oikonomopoulos <apoikos@gmail.com>  Wed, 17 Jul 2013 17:19:52 +0300

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: extra
 Maintainer: Apollon Oikonomopoulos <apoikos@gmail.com>
-Build-Depends: debhelper (>= 8)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.4
 Homepage: http://code.google.com/p/ioping
 
 Package: ioping

## ioping 0.8

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-CFLAGS+=-std=gnu99 -g -Wall -Wextra -pedantic -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64
+CFLAGS+=-std=gnu99 -g -Wall -Wextra -pedantic
 LIBS=-lm
 PREFIX=/usr/local
 BINDIR=$(PREFIX)/bin

=== debian/changelog ===
ioping (0.8-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards to 3.9.5 (no changes needed).
  * Remove patch fixing a hyphen-vs-dash in the manpage (fixed upstream).

 -- Apollon Oikonomopoulos <apoikos@gmail.com>  Fri, 03 Jan 2014 10:42:15 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Apollon Oikonomopoulos <apoikos@gmail.com>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://code.google.com/p/ioping
 
 Package: ioping

## ioping 0.9

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-CFLAGS+=-std=gnu99 -g -Wall -Wextra -pedantic
+CFLAGS+=-std=gnu99 -g -Wall -Wextra -pedantic -O2 -funroll-loops -ftree-vectorize
 LIBS=-lm
 PREFIX=/usr/local
 BINDIR=$(PREFIX)/bin
@@ -9,7 +9,7 @@
 BINS=ioping
 MANS=ioping.1
 MANS_F=$(MANS:.1=.txt) $(MANS:.1=.pdf)
-DOCS=README changelog
+DOCS=README LICENSE changelog
 SPEC=ioping.spec
 
 PACKAGE=ioping
@@ -35,6 +35,9 @@
 
 clean:
 	$(RM) -f $(OBJS) $(BINS) $(MANS_F)
+
+strip: $(BINS)
+	$(STRIP) $^
 
 install: $(BINS) $(MANS)
 	mkdir -p $(DESTDIR)$(BINDIR)

=== debian/changelog ===
ioping (0.9-2) unstable; urgency=medium

  [ Christos Trochalakis ]
  * Adjust packaging now that ioping has moved to github.

  [ Apollon Oikonomopoulos ]
  * Bump standards to 3.9.7; no changes needed
  * d/control: use HTTPS everywhere

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 11 Feb 2016 17:26:22 +0200

ioping (0.9-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards to 3.9.6; no changes needed.
  * d/control: add Vcs-* fields.
  * Refresh patches for 0.9.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 06 Oct 2014 11:30:45 +0300

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: ioping
 Section: admin
 Priority: extra
-Maintainer: Apollon Oikonomopoulos <apoikos@gmail.com>
+Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.5
-Homepage: http://code.google.com/p/ioping
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=users/apoikos/ioping.git
+Vcs-Git: https://anonscm.debian.org/git/users/apoikos/ioping.git
+Homepage: https://github.com/koct9i/ioping
 
 Package: ioping
 Architecture: any

=== debian/watch ===
version=3

https://github.com/koct9i/ioping/releases \
 .*/ioping-(\d[\d\.]+)\.tar\.gz

## ioping 1.0

=== Makefile ===
CFLAGS ?= -g -O2 -funroll-loops -ftree-vectorize
CFLAGS += -std=gnu99 -Wall -Wextra -pedantic
LIBS=-lm -lrt
PREFIX=/usr/local
BINDIR=$(PREFIX)/bin
MAN1DIR=$(PREFIX)/share/man/man1

SRCS=ioping.c
OBJS=$(SRCS:.c=.o)
BINARY=ioping
MANS=ioping.1
MANS_F=$(MANS:.1=.txt) $(MANS:.1=.pdf)
DOCS=README.md LICENSE changelog
SPEC=ioping.spec

PACKAGE=ioping
EXTRA_VERSION:=$(shell test -d .git && git describe --tags --dirty=+ | sed 's/^v[^-]*//;s/-/./g')
VERSION:=$(shell sed -ne 's/\# define VERSION \"\(.*\)\"/\1/p' ioping.c)${EXTRA_VERSION}
DISTDIR=$(PACKAGE)-$(VERSION)
DISTFILES=$(SRCS) $(MANS) $(DOCS) $(SPEC) Makefile
PACKFILES=$(BINARY) $(MANS) $(MANS_F) $(DOCS)

STRIP=strip
TARGET=$(shell ${CC} -dumpmachine)

ifneq (,$(findstring -apple-,${TARGET}))
LIBS=-lm
endif

ifdef MINGW
CC=i686-w64-mingw32-gcc
STRIP=i686-w64-mingw32-strip
TARGET=win32
BINARY:=$(BINARY:=.exe)
LIBS=-lm
endif

all: $(BINARY)

version:
	@echo ${VERSION}

clean:
	$(RM) -f $(OBJS) $(BINARY) $(MANS_F) ioping.tmp

strip: $(BINARY)
	$(STRIP) $^

test: $(BINARY)
	./$(BINARY) -i 10ms -c 3 -s 512 -S 16k ${PWD}
	./$(BINARY) -w 10ms -R -k -S 1m .
	./$(BINARY) -w 10ms -RL ioping.tmp
	rm ioping.tmp

install: $(BINARY) $(MANS)
	mkdir -p $(DESTDIR)$(BINDIR)
	install -m 0755 $(BINARY) $(DESTDIR)$(BINDIR)
	mkdir -p $(DESTDIR)$(MAN1DIR)
	install -m 644 $(MANS) $(DESTDIR)$(MAN1DIR)

%.o: %.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -DEXTRA_VERSION=\"${EXTRA_VERSION}\" -c -o $@ $<

%.ps: %.1
	man -t ./$< > $@

%.pdf: %.ps
	ps2pdf $< $@

%.txt: %.1
	MANWIDTH=80 man ./$< | col -b > $@

$(BINARY): $(OBJS)
	$(CC) -o $@ $^ $(CFLAGS) $(LDFLAGS) $(LIBS)

dist: $(DISTFILES)
	tar -cz --transform='s,^,$(DISTDIR)/,S' $^ -f $(DISTDIR).tar.gz

binary-tgz: $(PACKFILES)
	${STRIP} ${BINARY}
	tar -cz --transform='s,^,$(DISTDIR)/,S' -f ${PACKAGE}-${VERSION}-${TARGET}.tgz $^

binary-zip: $(PACKFILES)
	${STRIP} ${BINARY}
	ln -s . $(DISTDIR)
	zip ${PACKAGE}-${VERSION}-${TARGET}.zip $(addprefix $(DISTDIR)/,$^)
	rm $(DISTDIR)

.PHONY: all clean install dist version

=== debian/changelog ===
ioping (1.0-2) unstable; urgency=medium

  * Fix FTBFS (test failure)
  * Add a simple DEP-8 test

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sat, 17 Dec 2016 07:47:18 +0200

ioping (1.0-1) unstable; urgency=medium

  * New upstream release
  * d/watch: fix tarball name
  * Bump Standards to 3.9.8; no changes needed
  * Set Priority to optional
  * Enable all hardening flags
  * Drop do_not_generate_version.patch
  * Refresh remaining patches

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sat, 17 Dec 2016 00:27:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: ioping
 Section: admin
-Priority: extra
+Priority: optional
 Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=users/apoikos/ioping.git
 Vcs-Git: https://anonscm.debian.org/git/users/apoikos/ioping.git
 Homepage: https://github.com/koct9i/ioping

## ioping 1.1

=== Makefile ===
--- 
+++ 
@@ -14,11 +14,16 @@
 SPEC=ioping.spec
 
 PACKAGE=ioping
-EXTRA_VERSION:=$(shell test -d .git && git describe --tags --dirty=+ | sed 's/^v[^-]*//;s/-/./g')
-VERSION:=$(shell sed -ne 's/\# define VERSION \"\(.*\)\"/\1/p' ioping.c)${EXTRA_VERSION}
+GIT_VER:=$(shell test -d .git && git describe --tags --match 'v[0-9]*' \
+		--abbrev=0 | sed 's/v//')
+SRC_VER:=$(shell sed -ne 's/\# define VERSION \"\(.*\)\"/\1/p' ioping.c)
+EXTRA_VERSION:=$(shell test -d .git && git describe --tags --match 'v[0-9]*' \
+		--dirty=+ | sed 's/^v[^-]*//;s/-/./g')
+VERSION:=$(SRC_VER)$(EXTRA_VERSION)
 DISTDIR=$(PACKAGE)-$(VERSION)
 DISTFILES=$(SRCS) $(MANS) $(DOCS) $(SPEC) Makefile
 PACKFILES=$(BINARY) $(MANS) $(MANS_F) $(DOCS)
+CPPFLAGS+=-DEXTRA_VERSION=\"${EXTRA_VERSION}\"
 
 STRIP=strip
 TARGET=$(shell ${CC} -dumpmachine)
@@ -35,10 +40,17 @@
 LIBS=-lm
 endif
 
-all: $(BINARY)
+all: checkver $(BINARY)
 
-version:
+version: checkver
 	@echo ${VERSION}
+
+checkver:
+	@if test -n "$(GIT_VER)" -a "$(GIT_VER)" != "$(SRC_VER)"; then \
+		echo "ERROR: Version mismatch between git and source"; \
+		echo git: $(GIT_VER), src: $(SRC_VER); \
+		exit 1; \
+	fi
 
 clean:
 	$(RM) -f $(OBJS) $(BINARY) $(MANS_F) ioping.tmp
@@ -59,7 +71,7 @@
 	install -m 644 $(MANS) $(DESTDIR)$(MAN1DIR)
 
 %.o: %.c
-	$(CC) $(CFLAGS) $(CPPFLAGS) -DEXTRA_VERSION=\"${EXTRA_VERSION}\" -c -o $@ $<
+	$(CC) $(CFLAGS) $(CPPFLAGS) -c -o $@ $<
 
 %.ps: %.1
 	man -t ./$< > $@
@@ -73,17 +85,17 @@
 $(BINARY): $(OBJS)
 	$(CC) -o $@ $^ $(CFLAGS) $(LDFLAGS) $(LIBS)
 
-dist: $(DISTFILES)
+dist: checkver $(DISTFILES)
 	tar -cz --transform='s,^,$(DISTDIR)/,S' $^ -f $(DISTDIR).tar.gz
 
-binary-tgz: $(PACKFILES)
+binary-tgz: checkver $(PACKFILES)
 	${STRIP} ${BINARY}
 	tar -cz --transform='s,^,$(DISTDIR)/,S' -f ${PACKAGE}-${VERSION}-${TARGET}.tgz $^
 
-binary-zip: $(PACKFILES)
+binary-zip: checkver $(PACKFILES)
 	${STRIP} ${BINARY}
 	ln -s . $(DISTDIR)
 	zip ${PACKAGE}-${VERSION}-${TARGET}.zip $(addprefix $(DISTDIR)/,$^)
 	rm $(DISTDIR)
 
-.PHONY: all clean install dist version
+.PHONY: all version checkver clean strip test install dist binary-tgz binary-zip

=== debian/changelog ===
ioping (1.1-1) unstable; urgency=medium

  * New upstream version 1.1
  * Bump DH compat to 11; no changes needed
  * Refresh patches
  * Bump Standards-Version to 4.2.1; no changes needed
  * d/copyright: extend upstream and debian copyright to 2018
  * d/control: switch Vcs-* URLs to salsa

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sun, 23 Sep 2018 00:11:14 +0300

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: admin
 Priority: optional
 Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=users/apoikos/ioping.git
-Vcs-Git: https://anonscm.debian.org/git/users/apoikos/ioping.git
+Build-Depends: debhelper (>= 11~)
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/debian/ioping
+Vcs-Git: https://salsa.debian.org/debian/ioping.git
 Homepage: https://github.com/koct9i/ioping
 
 Package: ioping

## ioping 1.2

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,6 @@
 MAN1DIR=$(PREFIX)/share/man/man1
 
 SRCS=ioping.c
-OBJS=$(SRCS:.c=.o)
 BINARY=ioping
 MANS=ioping.1
 MANS_F=$(MANS:.1=.txt) $(MANS:.1=.pdf)
@@ -53,7 +52,7 @@
 	fi
 
 clean:
-	$(RM) -f $(OBJS) $(BINARY) $(MANS_F) ioping.tmp
+	$(RM) -f $(BINARY) $(MANS_F) ioping.tmp
 
 strip: $(BINARY)
 	$(STRIP) $^
@@ -70,9 +69,6 @@
 	mkdir -p $(DESTDIR)$(MAN1DIR)
 	install -m 644 $(MANS) $(DESTDIR)$(MAN1DIR)
 
-%.o: %.c
-	$(CC) $(CFLAGS) $(CPPFLAGS) -c -o $@ $<
-
 %.ps: %.1
 	man -t ./$< > $@
 
@@ -82,7 +78,7 @@
 %.txt: %.1
 	MANWIDTH=80 man ./$< | col -b > $@
 
-$(BINARY): $(OBJS)
+$(BINARY): $(SRCS)
 	$(CC) -o $@ $^ $(CFLAGS) $(LDFLAGS) $(LIBS)
 
 dist: checkver $(DISTFILES)

=== debian/changelog ===
ioping (1.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

  [ Apollon Oikonomopoulos ]
  * New upstream version 1.2
  * Bump Standards-Version to 4.5.0; no changes needed
  * Bump dh compat to 13; no changes needed
  * d/copyright: bump debian/ years

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 24 Sep 2020 01:35:49 +0300

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
-Build-Depends: debhelper (>= 11~)
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/ioping
 Vcs-Git: https://salsa.debian.org/debian/ioping.git
 Homepage: https://github.com/koct9i/ioping

=== debian/watch ===
version=3

https://github.com/koct9i/ioping/releases \
 .*/v(\d[\d\.]+)\.tar\.gz

## ioping 1.3

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,5 @@
-CFLAGS ?= -g -O2 -funroll-loops -ftree-vectorize
-CFLAGS += -std=gnu99 -Wall -Wextra -pedantic
-LIBS=-lm -lrt
-PREFIX=/usr/local
+prefix=/usr/local
+PREFIX=$(prefix)
 BINDIR=$(PREFIX)/bin
 MAN1DIR=$(PREFIX)/share/man/man1
 
@@ -22,24 +20,40 @@
 DISTDIR=$(PACKAGE)-$(VERSION)
 DISTFILES=$(SRCS) $(MANS) $(DOCS) $(SPEC) Makefile
 PACKFILES=$(BINARY) $(MANS) $(MANS_F) $(DOCS)
-CPPFLAGS+=-DEXTRA_VERSION=\"${EXTRA_VERSION}\"
 
-STRIP=strip
-TARGET=$(shell ${CC} -dumpmachine)
+CFLAGS		?= -g -O2 -funroll-loops -ftree-vectorize
+CFLAGS		+= -std=gnu99 -Wall -Wextra -pedantic
+CPPFLAGS	= -DEXTRA_VERSION=\"${EXTRA_VERSION}\"
+
+ifneq (,$(STATIC))
+CFLAGS		+= -static
+endif
+
+LIBS		= -lm -lrt
+
+MINGW		= x86_64-w64-mingw32-
+MINGW_CFLAGS	= -specs=ucrt-spec -Wno-format
+MINGW_LIBS	= -lm
+
+CC		= $(CROSS_COMPILE)gcc
+STRIP		= $(CROSS_COMPILE)strip
+TARGET		= $(shell ${CC} -dumpmachine)
 
 ifneq (,$(findstring -apple-,${TARGET}))
 LIBS=-lm
 endif
 
-ifdef MINGW
-CC=i686-w64-mingw32-gcc
-STRIP=i686-w64-mingw32-strip
-TARGET=win32
-BINARY:=$(BINARY:=.exe)
-LIBS=-lm
+ifneq (,$(findstring -mingw,${TARGET}))
+BINARY		:= $(BINARY:=.exe)
+CFLAGS		+= ${MINGW_CFLAGS}
+LIBS		:= ${MINGW_LIBS}
+${BINARY}: ucrt-spec
 endif
 
 all: checkver $(BINARY)
+
+static:
+	$(MAKE) STATIC=1
 
 version: checkver
 	@echo ${VERSION}
@@ -79,7 +93,13 @@
 	MANWIDTH=80 man ./$< | col -b > $@
 
 $(BINARY): $(SRCS)
-	$(CC) -o $@ $^ $(CFLAGS) $(LDFLAGS) $(LIBS)
+	$(CC) -o $@ $(SRCS) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) $(LIBS)
+
+ucrt-spec:
+	${MINGW}gcc -dumpspecs | sed 's/-lmsvcrt/-lucrt/' > $@
+
+mingw:
+	$(MAKE) CROSS_COMPILE=${MINGW}
 
 dist: checkver $(DISTFILES)
 	tar -cz --transform='s,^,$(DISTDIR)/,S' $^ -f $(DISTDIR).tar.gz

=== debian/changelog ===
ioping (1.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

  [ Apollon Oikonomopoulos ]
  * New upstream version 1.3
  * d/watch: fix URL and bump version to 4
  * d/watch: prepend ioping- to the downloaded file name
  * d/copyright: bump years
  * Refresh patches

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 09 Jan 2023 22:07:45 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian/ioping
 Vcs-Git: https://salsa.debian.org/debian/ioping.git
 Homepage: https://github.com/koct9i/ioping

=== debian/tests/control ===
Tests: simple
Depends: ioping

=== debian/watch ===
version=4

opts=filenamemangle=s/.*\/v(.*)/ioping-$1/ \
 https://github.com/koct9i/ioping/tags \
 .*/v(\d[\d\.]+)\.tar\.gz
